/* CSS Resets */
h1, h2, h3, h4, p, nav ul {
	padding: 0;
	margin: 0;
	color: hsla(229,33%,19%,1.00);
}
nav ul {
	list-style-type: none;
	border-left: medium solid hsla(0,0%,0%,1.00);
}
img { max-width: 100%; display: block; }
* { box-sizing: border-box;}

/* end Resets */

body {
    font-family: Arial, Helvetica, sans-serif;
    color: #333;
    padding: 0 20px;
}

header, footer {
    background-color: rgb(235, 235, 235);
    padding: 20px;
}

main {
    padding-top: 20px;
    padding-left: 20px;
}

.container {
    max-width: 1000px;
}

h1, h2 {
	margin-bottom: .5em;
	color: hsla(231,32%,16%,1.00);
}

p {
	line-height: 1.4em;
	margin-bottom: 1em;
	color: hsla(231,31%,17%,1.00);
}

a {
	text-decoration: none;
	font-weight: bold;
	color: hsla(218,35%,30%,1.00);
}
a:hover {
	color: hsla(218,41%,58%,1.00);
}

ul li {
    margin-bottom: 1em;
}

img {
    margin-bottom: 20px;
}

aside {
    background-color: aliceblue;
    padding: 20px;
}

aside img {
	margin-left: auto;
	margin-right: auto;
	width: 200px;
	border-radius: 6px;
	margin-top: 15px;
}
#assigmnents {
	border-left-style: solid;
	border-left-color: hsla(0,0%,0%,1.00);
	
}
#final {
	border-left: medium solid hsla(0,0%,0%,1.00);
}


@media only screen and (min-width: 600px) {
    .container{ 
        display: flex;
        flex-wrap: wrap;
    }
    header, footer {
        width: 100%;
    }
    main { flex: 2; }
    aside { flex: 1; }
}

@media only screen and (min-width: 800px) {
    .container{ margin: auto; }
    main { display: flex;}
    main div { flex: 1; }
}
